<template>
  <div id="app">
    <!-- <HelloWorld msg="Welcome to Your Vue.js + TypeScript App"/> -->
    <EsriMap :zoom="zoom" :center="center" />
    <button @click="zoomIn" class="map-btn zoom-in-btn">+</button>
    <button @click="zoomOut" class="map-btn zoom-out-btn">-</button>
  </div>
</template>

<script lang="ts">
import { Component, Vue } from 'vue-property-decorator';
import EsriMap from './components/EsriMap.vue';

@Component({
  components: {
    EsriMap
  }
})
export default class App extends Vue {
  zoomIn() {
    this.$store.commit('zoomIn')
  }
  zoomOut() {
    this.$store.commit('zoomOut')
  }
  get zoom() {
    return this.$store.state.zoom;
  }
  get center() {
    return this.$store.state.center;
  }
}
</script>

<style>
html, body {
  margin: 0;
  padding: 0;
}
#app {
  font-family: 'Avenir', Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
}
.map-btn {
  position: absolute;
  height: 32px;
  width: 32px;
  background: white;
  cursor: pointer;
  border: none;
  font-size: 18px;
  border-radius: 4px;
  box-shadow: 1px 1px 4px -1px rgba(0,0,0,.5), 0px 0px 4px -1px rgba(0,0,0,.25);
}
.map-btn:hover {
  background: #f5f5f5;
}
.zoom-in-btn {
  top: 16px;
  left: 16px;
}
.zoom-out-btn {
  top: 52px;
  left: 16px;
}
</style>
